source: trunk/gsdl/configure@ 567

Last change on this file since 567 was 567, checked in by sjboddie, 25 years ago

fixed autoconf fastcgi error

  • Property svn:executable set to *
  • Property svn:keywords set to Author Date Id Revision
File size: 56.7 KB
Line 
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52SHELL=${CONFIG_SHELL-/bin/sh}
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60 # If the previous option needs an argument, assign it.
61 if test -n "$ac_prev"; then
62 eval "$ac_prev=\$ac_option"
63 ac_prev=
64 continue
65 fi
66
67 case "$ac_option" in
68 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69 *) ac_optarg= ;;
70 esac
71
72 # Accept the important Cygnus configure options, so we can diagnose typos.
73
74 case "$ac_option" in
75
76 -bindir | --bindir | --bindi | --bind | --bin | --bi)
77 ac_prev=bindir ;;
78 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79 bindir="$ac_optarg" ;;
80
81 -build | --build | --buil | --bui | --bu)
82 ac_prev=build ;;
83 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84 build="$ac_optarg" ;;
85
86 -cache-file | --cache-file | --cache-fil | --cache-fi \
87 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88 ac_prev=cache_file ;;
89 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91 cache_file="$ac_optarg" ;;
92
93 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94 ac_prev=datadir ;;
95 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96 | --da=*)
97 datadir="$ac_optarg" ;;
98
99 -disable-* | --disable-*)
100 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101 # Reject names that are not valid shell variable names.
102 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104 fi
105 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106 eval "enable_${ac_feature}=no" ;;
107
108 -enable-* | --enable-*)
109 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110 # Reject names that are not valid shell variable names.
111 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113 fi
114 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115 case "$ac_option" in
116 *=*) ;;
117 *) ac_optarg=yes ;;
118 esac
119 eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123 | --exec | --exe | --ex)
124 ac_prev=exec_prefix ;;
125 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127 | --exec=* | --exe=* | --ex=*)
128 exec_prefix="$ac_optarg" ;;
129
130 -gas | --gas | --ga | --g)
131 # Obsolete; use --with-gas.
132 with_gas=yes ;;
133
134 -help | --help | --hel | --he)
135 # Omit some internal or obsolete options to make the list less imposing.
136 # This message is too long to be a string in the A/UX 3.1 sh.
137 cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141 --cache-file=FILE cache test results in FILE
142 --help print this message
143 --no-create do not create output files
144 --quiet, --silent do not print \`checking...' messages
145 --version print the version of autoconf that created configure
146Directory and file names:
147 --prefix=PREFIX install architecture-independent files in PREFIX
148 [$ac_default_prefix]
149 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
150 [same as prefix]
151 --bindir=DIR user executables in DIR [EPREFIX/bin]
152 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
153 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
154 --datadir=DIR read-only architecture-independent data in DIR
155 [PREFIX/share]
156 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
157 --sharedstatedir=DIR modifiable architecture-independent data in DIR
158 [PREFIX/com]
159 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
160 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161 --includedir=DIR C header files in DIR [PREFIX/include]
162 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
163 --infodir=DIR info documentation in DIR [PREFIX/info]
164 --mandir=DIR man documentation in DIR [PREFIX/man]
165 --srcdir=DIR find the sources in DIR [configure dir or ..]
166 --program-prefix=PREFIX prepend PREFIX to installed program names
167 --program-suffix=SUFFIX append SUFFIX to installed program names
168 --program-transform-name=PROGRAM
169 run sed PROGRAM on installed program names
170EOF
171 cat << EOF
172Host type:
173 --build=BUILD configure for building on BUILD [BUILD=HOST]
174 --host=HOST configure for HOST [guessed]
175 --target=TARGET configure for TARGET [TARGET=HOST]
176Features and packages:
177 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
178 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
179 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
180 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
181 --x-includes=DIR X include files are in DIR
182 --x-libraries=DIR X library files are in DIR
183EOF
184 if test -n "$ac_help"; then
185 echo "--enable and --with options recognized:$ac_help"
186 fi
187 exit 0 ;;
188
189 -host | --host | --hos | --ho)
190 ac_prev=host ;;
191 -host=* | --host=* | --hos=* | --ho=*)
192 host="$ac_optarg" ;;
193
194 -includedir | --includedir | --includedi | --included | --include \
195 | --includ | --inclu | --incl | --inc)
196 ac_prev=includedir ;;
197 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198 | --includ=* | --inclu=* | --incl=* | --inc=*)
199 includedir="$ac_optarg" ;;
200
201 -infodir | --infodir | --infodi | --infod | --info | --inf)
202 ac_prev=infodir ;;
203 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204 infodir="$ac_optarg" ;;
205
206 -libdir | --libdir | --libdi | --libd)
207 ac_prev=libdir ;;
208 -libdir=* | --libdir=* | --libdi=* | --libd=*)
209 libdir="$ac_optarg" ;;
210
211 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212 | --libexe | --libex | --libe)
213 ac_prev=libexecdir ;;
214 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215 | --libexe=* | --libex=* | --libe=*)
216 libexecdir="$ac_optarg" ;;
217
218 -localstatedir | --localstatedir | --localstatedi | --localstated \
219 | --localstate | --localstat | --localsta | --localst \
220 | --locals | --local | --loca | --loc | --lo)
221 ac_prev=localstatedir ;;
222 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225 localstatedir="$ac_optarg" ;;
226
227 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228 ac_prev=mandir ;;
229 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230 mandir="$ac_optarg" ;;
231
232 -nfp | --nfp | --nf)
233 # Obsolete; use --without-fp.
234 with_fp=no ;;
235
236 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237 | --no-cr | --no-c)
238 no_create=yes ;;
239
240 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242 no_recursion=yes ;;
243
244 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246 | --oldin | --oldi | --old | --ol | --o)
247 ac_prev=oldincludedir ;;
248 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251 oldincludedir="$ac_optarg" ;;
252
253 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254 ac_prev=prefix ;;
255 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256 prefix="$ac_optarg" ;;
257
258 -program-prefix | --program-prefix | --program-prefi | --program-pref \
259 | --program-pre | --program-pr | --program-p)
260 ac_prev=program_prefix ;;
261 -program-prefix=* | --program-prefix=* | --program-prefi=* \
262 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263 program_prefix="$ac_optarg" ;;
264
265 -program-suffix | --program-suffix | --program-suffi | --program-suff \
266 | --program-suf | --program-su | --program-s)
267 ac_prev=program_suffix ;;
268 -program-suffix=* | --program-suffix=* | --program-suffi=* \
269 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270 program_suffix="$ac_optarg" ;;
271
272 -program-transform-name | --program-transform-name \
273 | --program-transform-nam | --program-transform-na \
274 | --program-transform-n | --program-transform- \
275 | --program-transform | --program-transfor \
276 | --program-transfo | --program-transf \
277 | --program-trans | --program-tran \
278 | --progr-tra | --program-tr | --program-t)
279 ac_prev=program_transform_name ;;
280 -program-transform-name=* | --program-transform-name=* \
281 | --program-transform-nam=* | --program-transform-na=* \
282 | --program-transform-n=* | --program-transform-=* \
283 | --program-transform=* | --program-transfor=* \
284 | --program-transfo=* | --program-transf=* \
285 | --program-trans=* | --program-tran=* \
286 | --progr-tra=* | --program-tr=* | --program-t=*)
287 program_transform_name="$ac_optarg" ;;
288
289 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290 | -silent | --silent | --silen | --sile | --sil)
291 silent=yes ;;
292
293 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294 ac_prev=sbindir ;;
295 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296 | --sbi=* | --sb=*)
297 sbindir="$ac_optarg" ;;
298
299 -sharedstatedir | --sharedstatedir | --sharedstatedi \
300 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301 | --sharedst | --shareds | --shared | --share | --shar \
302 | --sha | --sh)
303 ac_prev=sharedstatedir ;;
304 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307 | --sha=* | --sh=*)
308 sharedstatedir="$ac_optarg" ;;
309
310 -site | --site | --sit)
311 ac_prev=site ;;
312 -site=* | --site=* | --sit=*)
313 site="$ac_optarg" ;;
314
315 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316 ac_prev=srcdir ;;
317 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318 srcdir="$ac_optarg" ;;
319
320 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321 | --syscon | --sysco | --sysc | --sys | --sy)
322 ac_prev=sysconfdir ;;
323 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325 sysconfdir="$ac_optarg" ;;
326
327 -target | --target | --targe | --targ | --tar | --ta | --t)
328 ac_prev=target ;;
329 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330 target="$ac_optarg" ;;
331
332 -v | -verbose | --verbose | --verbos | --verbo | --verb)
333 verbose=yes ;;
334
335 -version | --version | --versio | --versi | --vers)
336 echo "configure generated by autoconf version 2.13"
337 exit 0 ;;
338
339 -with-* | --with-*)
340 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344 fi
345 ac_package=`echo $ac_package| sed 's/-/_/g'`
346 case "$ac_option" in
347 *=*) ;;
348 *) ac_optarg=yes ;;
349 esac
350 eval "with_${ac_package}='$ac_optarg'" ;;
351
352 -without-* | --without-*)
353 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354 # Reject names that are not valid shell variable names.
355 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357 fi
358 ac_package=`echo $ac_package| sed 's/-/_/g'`
359 eval "with_${ac_package}=no" ;;
360
361 --x)
362 # Obsolete; use --with-x.
363 with_x=yes ;;
364
365 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366 | --x-incl | --x-inc | --x-in | --x-i)
367 ac_prev=x_includes ;;
368 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370 x_includes="$ac_optarg" ;;
371
372 -x-libraries | --x-libraries | --x-librarie | --x-librari \
373 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374 ac_prev=x_libraries ;;
375 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377 x_libraries="$ac_optarg" ;;
378
379 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380 ;;
381
382 *)
383 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384 echo "configure: warning: $ac_option: invalid host type" 1>&2
385 fi
386 if test "x$nonopt" != xNONE; then
387 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388 fi
389 nonopt="$ac_option"
390 ;;
391
392 esac
393done
394
395if test -n "$ac_prev"; then
396 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410 exec 6>/dev/null
411else
412 exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426 case "$ac_arg" in
427 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428 | --no-cr | --no-c) ;;
429 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434 esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set. These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}" = set; then LANG=C; export LANG; fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=lib/text_t.h
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458 ac_srcdir_defaulted=yes
459 # Try the directory containing this script, then its parent.
460 ac_prog=$0
461 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463 srcdir=$ac_confdir
464 if test ! -r $srcdir/$ac_unique_file; then
465 srcdir=..
466 fi
467else
468 ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471 if test "$ac_srcdir_defaulted" = yes; then
472 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473 else
474 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475 fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481 if test "x$prefix" != xNONE; then
482 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483 else
484 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485 fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488 if test -r "$ac_site_file"; then
489 echo "loading site script $ac_site_file"
490 . "$ac_site_file"
491 fi
492done
493
494if test -r "$cache_file"; then
495 echo "loading cache $cache_file"
496 . $cache_file
497else
498 echo "creating cache $cache_file"
499 > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507cross_compiling=$ac_cv_prog_cc_cross
508
509ac_exeext=
510ac_objext=o
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512 # Stardent Vistra SVR4 grep lacks -e, says [email protected].
513 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514 ac_n= ac_c='
515' ac_t=' '
516 else
517 ac_n=-n ac_c= ac_t=
518 fi
519else
520 ac_n= ac_c='\c' ac_t=
521fi
522
523
524
525PACKAGE=gsdl
526VERSION=2.0
527cat >> confdefs.h <<EOF
528#define PACKAGE "$PACKAGE"
529EOF
530
531cat >> confdefs.h <<EOF
532#define VERSION "$VERSION"
533EOF
534
535
536
537
538USE_FASTCGI=0
539if test USE_FASTCGI = 1; then
540cat >> confdefs.h <<\EOF
541#define USE_FASTCGI 1
542EOF
543
544
545fi
546
547# Extract the first word of "gcc", so it can be a program name with args.
548set dummy gcc; ac_word=$2
549echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
550echo "configure:551: checking for $ac_word" >&5
551if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
552 echo $ac_n "(cached) $ac_c" 1>&6
553else
554 if test -n "$CC"; then
555 ac_cv_prog_CC="$CC" # Let the user override the test.
556else
557 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
558 ac_dummy="$PATH"
559 for ac_dir in $ac_dummy; do
560 test -z "$ac_dir" && ac_dir=.
561 if test -f $ac_dir/$ac_word; then
562 ac_cv_prog_CC="gcc"
563 break
564 fi
565 done
566 IFS="$ac_save_ifs"
567fi
568fi
569CC="$ac_cv_prog_CC"
570if test -n "$CC"; then
571 echo "$ac_t""$CC" 1>&6
572else
573 echo "$ac_t""no" 1>&6
574fi
575
576if test -z "$CC"; then
577 # Extract the first word of "cc", so it can be a program name with args.
578set dummy cc; ac_word=$2
579echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
580echo "configure:581: checking for $ac_word" >&5
581if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
582 echo $ac_n "(cached) $ac_c" 1>&6
583else
584 if test -n "$CC"; then
585 ac_cv_prog_CC="$CC" # Let the user override the test.
586else
587 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
588 ac_prog_rejected=no
589 ac_dummy="$PATH"
590 for ac_dir in $ac_dummy; do
591 test -z "$ac_dir" && ac_dir=.
592 if test -f $ac_dir/$ac_word; then
593 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
594 ac_prog_rejected=yes
595 continue
596 fi
597 ac_cv_prog_CC="cc"
598 break
599 fi
600 done
601 IFS="$ac_save_ifs"
602if test $ac_prog_rejected = yes; then
603 # We found a bogon in the path, so make sure we never use it.
604 set dummy $ac_cv_prog_CC
605 shift
606 if test $# -gt 0; then
607 # We chose a different compiler from the bogus one.
608 # However, it has the same basename, so the bogon will be chosen
609 # first if we set CC to just the basename; use the full file name.
610 shift
611 set dummy "$ac_dir/$ac_word" "$@"
612 shift
613 ac_cv_prog_CC="$@"
614 fi
615fi
616fi
617fi
618CC="$ac_cv_prog_CC"
619if test -n "$CC"; then
620 echo "$ac_t""$CC" 1>&6
621else
622 echo "$ac_t""no" 1>&6
623fi
624
625 if test -z "$CC"; then
626 case "`uname -s`" in
627 *win32* | *WIN32*)
628 # Extract the first word of "cl", so it can be a program name with args.
629set dummy cl; ac_word=$2
630echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
631echo "configure:632: checking for $ac_word" >&5
632if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
633 echo $ac_n "(cached) $ac_c" 1>&6
634else
635 if test -n "$CC"; then
636 ac_cv_prog_CC="$CC" # Let the user override the test.
637else
638 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
639 ac_dummy="$PATH"
640 for ac_dir in $ac_dummy; do
641 test -z "$ac_dir" && ac_dir=.
642 if test -f $ac_dir/$ac_word; then
643 ac_cv_prog_CC="cl"
644 break
645 fi
646 done
647 IFS="$ac_save_ifs"
648fi
649fi
650CC="$ac_cv_prog_CC"
651if test -n "$CC"; then
652 echo "$ac_t""$CC" 1>&6
653else
654 echo "$ac_t""no" 1>&6
655fi
656 ;;
657 esac
658 fi
659 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
660fi
661
662echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
663echo "configure:664: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
664
665ac_ext=c
666# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
667ac_cpp='$CPP $CPPFLAGS'
668ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
669ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
670cross_compiling=$ac_cv_prog_cc_cross
671
672cat > conftest.$ac_ext << EOF
673
674#line 675 "configure"
675#include "confdefs.h"
676
677main(){return(0);}
678EOF
679if { (eval echo configure:680: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
680 ac_cv_prog_cc_works=yes
681 # If we can't run a trivial program, we are probably using a cross compiler.
682 if (./conftest; exit) 2>/dev/null; then
683 ac_cv_prog_cc_cross=no
684 else
685 ac_cv_prog_cc_cross=yes
686 fi
687else
688 echo "configure: failed program was:" >&5
689 cat conftest.$ac_ext >&5
690 ac_cv_prog_cc_works=no
691fi
692rm -fr conftest*
693ac_ext=c
694# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
695ac_cpp='$CPP $CPPFLAGS'
696ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
697ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
698cross_compiling=$ac_cv_prog_cc_cross
699
700echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
701if test $ac_cv_prog_cc_works = no; then
702 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
703fi
704echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
705echo "configure:706: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
706echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
707cross_compiling=$ac_cv_prog_cc_cross
708
709echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
710echo "configure:711: checking whether we are using GNU C" >&5
711if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
712 echo $ac_n "(cached) $ac_c" 1>&6
713else
714 cat > conftest.c <<EOF
715#ifdef __GNUC__
716 yes;
717#endif
718EOF
719if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:720: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
720 ac_cv_prog_gcc=yes
721else
722 ac_cv_prog_gcc=no
723fi
724fi
725
726echo "$ac_t""$ac_cv_prog_gcc" 1>&6
727
728if test $ac_cv_prog_gcc = yes; then
729 GCC=yes
730else
731 GCC=
732fi
733
734ac_test_CFLAGS="${CFLAGS+set}"
735ac_save_CFLAGS="$CFLAGS"
736CFLAGS=
737echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
738echo "configure:739: checking whether ${CC-cc} accepts -g" >&5
739if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
740 echo $ac_n "(cached) $ac_c" 1>&6
741else
742 echo 'void f(){}' > conftest.c
743if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
744 ac_cv_prog_cc_g=yes
745else
746 ac_cv_prog_cc_g=no
747fi
748rm -f conftest*
749
750fi
751
752echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
753if test "$ac_test_CFLAGS" = set; then
754 CFLAGS="$ac_save_CFLAGS"
755elif test $ac_cv_prog_cc_g = yes; then
756 if test "$GCC" = yes; then
757 CFLAGS="-g -O2"
758 else
759 CFLAGS="-g"
760 fi
761else
762 if test "$GCC" = yes; then
763 CFLAGS="-O2"
764 else
765 CFLAGS=
766 fi
767fi
768
769for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
770do
771# Extract the first word of "$ac_prog", so it can be a program name with args.
772set dummy $ac_prog; ac_word=$2
773echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
774echo "configure:775: checking for $ac_word" >&5
775if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
776 echo $ac_n "(cached) $ac_c" 1>&6
777else
778 if test -n "$CXX"; then
779 ac_cv_prog_CXX="$CXX" # Let the user override the test.
780else
781 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
782 ac_dummy="$PATH"
783 for ac_dir in $ac_dummy; do
784 test -z "$ac_dir" && ac_dir=.
785 if test -f $ac_dir/$ac_word; then
786 ac_cv_prog_CXX="$ac_prog"
787 break
788 fi
789 done
790 IFS="$ac_save_ifs"
791fi
792fi
793CXX="$ac_cv_prog_CXX"
794if test -n "$CXX"; then
795 echo "$ac_t""$CXX" 1>&6
796else
797 echo "$ac_t""no" 1>&6
798fi
799
800test -n "$CXX" && break
801done
802test -n "$CXX" || CXX="gcc"
803
804
805echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
806echo "configure:807: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
807
808ac_ext=C
809# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
810ac_cpp='$CXXCPP $CPPFLAGS'
811ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
812ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
813cross_compiling=$ac_cv_prog_cxx_cross
814
815cat > conftest.$ac_ext << EOF
816
817#line 818 "configure"
818#include "confdefs.h"
819
820int main(){return(0);}
821EOF
822if { (eval echo configure:823: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
823 ac_cv_prog_cxx_works=yes
824 # If we can't run a trivial program, we are probably using a cross compiler.
825 if (./conftest; exit) 2>/dev/null; then
826 ac_cv_prog_cxx_cross=no
827 else
828 ac_cv_prog_cxx_cross=yes
829 fi
830else
831 echo "configure: failed program was:" >&5
832 cat conftest.$ac_ext >&5
833 ac_cv_prog_cxx_works=no
834fi
835rm -fr conftest*
836ac_ext=c
837# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
838ac_cpp='$CPP $CPPFLAGS'
839ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
840ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
841cross_compiling=$ac_cv_prog_cc_cross
842
843echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
844if test $ac_cv_prog_cxx_works = no; then
845 { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
846fi
847echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
848echo "configure:849: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
849echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
850cross_compiling=$ac_cv_prog_cxx_cross
851
852echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
853echo "configure:854: checking whether we are using GNU C++" >&5
854if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
855 echo $ac_n "(cached) $ac_c" 1>&6
856else
857 cat > conftest.C <<EOF
858#ifdef __GNUC__
859 yes;
860#endif
861EOF
862if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:863: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
863 ac_cv_prog_gxx=yes
864else
865 ac_cv_prog_gxx=no
866fi
867fi
868
869echo "$ac_t""$ac_cv_prog_gxx" 1>&6
870
871if test $ac_cv_prog_gxx = yes; then
872 GXX=yes
873else
874 GXX=
875fi
876
877ac_test_CXXFLAGS="${CXXFLAGS+set}"
878ac_save_CXXFLAGS="$CXXFLAGS"
879CXXFLAGS=
880echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
881echo "configure:882: checking whether ${CXX-g++} accepts -g" >&5
882if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
883 echo $ac_n "(cached) $ac_c" 1>&6
884else
885 echo 'void f(){}' > conftest.cc
886if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
887 ac_cv_prog_cxx_g=yes
888else
889 ac_cv_prog_cxx_g=no
890fi
891rm -f conftest*
892
893fi
894
895echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
896if test "$ac_test_CXXFLAGS" = set; then
897 CXXFLAGS="$ac_save_CXXFLAGS"
898elif test $ac_cv_prog_cxx_g = yes; then
899 if test "$GXX" = yes; then
900 CXXFLAGS="-g -O2"
901 else
902 CXXFLAGS="-g"
903 fi
904else
905 if test "$GXX" = yes; then
906 CXXFLAGS="-O2"
907 else
908 CXXFLAGS=
909 fi
910fi
911
912echo $ac_n "checking whether ln -s works""... $ac_c" 1>&6
913echo "configure:914: checking whether ln -s works" >&5
914if eval "test \"`echo '$''{'ac_cv_prog_LN_S'+set}'`\" = set"; then
915 echo $ac_n "(cached) $ac_c" 1>&6
916else
917 rm -f conftestdata
918if ln -s X conftestdata 2>/dev/null
919then
920 rm -f conftestdata
921 ac_cv_prog_LN_S="ln -s"
922else
923 ac_cv_prog_LN_S=ln
924fi
925fi
926LN_S="$ac_cv_prog_LN_S"
927if test "$ac_cv_prog_LN_S" = "ln -s"; then
928 echo "$ac_t""yes" 1>&6
929else
930 echo "$ac_t""no" 1>&6
931fi
932
933echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
934echo "configure:935: checking whether ${MAKE-make} sets \${MAKE}" >&5
935set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
936if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
937 echo $ac_n "(cached) $ac_c" 1>&6
938else
939 cat > conftestmake <<\EOF
940all:
941 @echo 'ac_maketemp="${MAKE}"'
942EOF
943# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
944eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
945if test -n "$ac_maketemp"; then
946 eval ac_cv_prog_make_${ac_make}_set=yes
947else
948 eval ac_cv_prog_make_${ac_make}_set=no
949fi
950rm -f conftestmake
951fi
952if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
953 echo "$ac_t""yes" 1>&6
954 SET_MAKE=
955else
956 echo "$ac_t""no" 1>&6
957 SET_MAKE="MAKE=${MAKE-make}"
958fi
959
960# Extract the first word of "ranlib", so it can be a program name with args.
961set dummy ranlib; ac_word=$2
962echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
963echo "configure:964: checking for $ac_word" >&5
964if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
965 echo $ac_n "(cached) $ac_c" 1>&6
966else
967 if test -n "$RANLIB"; then
968 ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
969else
970 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
971 ac_dummy="$PATH"
972 for ac_dir in $ac_dummy; do
973 test -z "$ac_dir" && ac_dir=.
974 if test -f $ac_dir/$ac_word; then
975 ac_cv_prog_RANLIB="ranlib"
976 break
977 fi
978 done
979 IFS="$ac_save_ifs"
980 test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
981fi
982fi
983RANLIB="$ac_cv_prog_RANLIB"
984if test -n "$RANLIB"; then
985 echo "$ac_t""$RANLIB" 1>&6
986else
987 echo "$ac_t""no" 1>&6
988fi
989
990
991echo $ac_n "checking for main in -lg""... $ac_c" 1>&6
992echo "configure:993: checking for main in -lg" >&5
993ac_lib_var=`echo g'_'main | sed 'y%./+-%__p_%'`
994if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
995 echo $ac_n "(cached) $ac_c" 1>&6
996else
997 ac_save_LIBS="$LIBS"
998LIBS="-lg $LIBS"
999cat > conftest.$ac_ext <<EOF
1000#line 1001 "configure"
1001#include "confdefs.h"
1002
1003int main() {
1004main()
1005; return 0; }
1006EOF
1007if { (eval echo configure:1008: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1008 rm -rf conftest*
1009 eval "ac_cv_lib_$ac_lib_var=yes"
1010else
1011 echo "configure: failed program was:" >&5
1012 cat conftest.$ac_ext >&5
1013 rm -rf conftest*
1014 eval "ac_cv_lib_$ac_lib_var=no"
1015fi
1016rm -f conftest*
1017LIBS="$ac_save_LIBS"
1018
1019fi
1020if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1021 echo "$ac_t""yes" 1>&6
1022 ac_tr_lib=HAVE_LIB`echo g | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1023 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1024 cat >> confdefs.h <<EOF
1025#define $ac_tr_lib 1
1026EOF
1027
1028 LIBS="-lg $LIBS"
1029
1030else
1031 echo "$ac_t""no" 1>&6
1032fi
1033
1034echo $ac_n "checking for main in -lgdbm""... $ac_c" 1>&6
1035echo "configure:1036: checking for main in -lgdbm" >&5
1036ac_lib_var=`echo gdbm'_'main | sed 'y%./+-%__p_%'`
1037if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1038 echo $ac_n "(cached) $ac_c" 1>&6
1039else
1040 ac_save_LIBS="$LIBS"
1041LIBS="-lgdbm $LIBS"
1042cat > conftest.$ac_ext <<EOF
1043#line 1044 "configure"
1044#include "confdefs.h"
1045
1046int main() {
1047main()
1048; return 0; }
1049EOF
1050if { (eval echo configure:1051: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1051 rm -rf conftest*
1052 eval "ac_cv_lib_$ac_lib_var=yes"
1053else
1054 echo "configure: failed program was:" >&5
1055 cat conftest.$ac_ext >&5
1056 rm -rf conftest*
1057 eval "ac_cv_lib_$ac_lib_var=no"
1058fi
1059rm -f conftest*
1060LIBS="$ac_save_LIBS"
1061
1062fi
1063if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1064 echo "$ac_t""yes" 1>&6
1065 ac_tr_lib=HAVE_LIB`echo gdbm | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1066 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1067 cat >> confdefs.h <<EOF
1068#define $ac_tr_lib 1
1069EOF
1070
1071 LIBS="-lgdbm $LIBS"
1072
1073else
1074 echo "$ac_t""no" 1>&6
1075fi
1076
1077echo $ac_n "checking for main in -lm""... $ac_c" 1>&6
1078echo "configure:1079: checking for main in -lm" >&5
1079ac_lib_var=`echo m'_'main | sed 'y%./+-%__p_%'`
1080if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1081 echo $ac_n "(cached) $ac_c" 1>&6
1082else
1083 ac_save_LIBS="$LIBS"
1084LIBS="-lm $LIBS"
1085cat > conftest.$ac_ext <<EOF
1086#line 1087 "configure"
1087#include "confdefs.h"
1088
1089int main() {
1090main()
1091; return 0; }
1092EOF
1093if { (eval echo configure:1094: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1094 rm -rf conftest*
1095 eval "ac_cv_lib_$ac_lib_var=yes"
1096else
1097 echo "configure: failed program was:" >&5
1098 cat conftest.$ac_ext >&5
1099 rm -rf conftest*
1100 eval "ac_cv_lib_$ac_lib_var=no"
1101fi
1102rm -f conftest*
1103LIBS="$ac_save_LIBS"
1104
1105fi
1106if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1107 echo "$ac_t""yes" 1>&6
1108 ac_tr_lib=HAVE_LIB`echo m | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1109 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1110 cat >> confdefs.h <<EOF
1111#define $ac_tr_lib 1
1112EOF
1113
1114 LIBS="-lm $LIBS"
1115
1116else
1117 echo "$ac_t""no" 1>&6
1118fi
1119
1120echo $ac_n "checking for main in -lstdc""... $ac_c" 1>&6
1121echo "configure:1122: checking for main in -lstdc" >&5
1122ac_lib_var=`echo stdc'_'main | sed 'y%./+-%__p_%'`
1123if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1124 echo $ac_n "(cached) $ac_c" 1>&6
1125else
1126 ac_save_LIBS="$LIBS"
1127LIBS="-lstdc $LIBS"
1128cat > conftest.$ac_ext <<EOF
1129#line 1130 "configure"
1130#include "confdefs.h"
1131
1132int main() {
1133main()
1134; return 0; }
1135EOF
1136if { (eval echo configure:1137: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1137 rm -rf conftest*
1138 eval "ac_cv_lib_$ac_lib_var=yes"
1139else
1140 echo "configure: failed program was:" >&5
1141 cat conftest.$ac_ext >&5
1142 rm -rf conftest*
1143 eval "ac_cv_lib_$ac_lib_var=no"
1144fi
1145rm -f conftest*
1146LIBS="$ac_save_LIBS"
1147
1148fi
1149if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1150 echo "$ac_t""yes" 1>&6
1151 ac_tr_lib=HAVE_LIB`echo stdc | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1152 -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1153 cat >> confdefs.h <<EOF
1154#define $ac_tr_lib 1
1155EOF
1156
1157 LIBS="-lstdc $LIBS"
1158
1159else
1160 echo "$ac_t""no" 1>&6
1161fi
1162
1163
1164echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
1165echo "configure:1166: checking how to run the C preprocessor" >&5
1166# On Suns, sometimes $CPP names a directory.
1167if test -n "$CPP" && test -d "$CPP"; then
1168 CPP=
1169fi
1170if test -z "$CPP"; then
1171if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
1172 echo $ac_n "(cached) $ac_c" 1>&6
1173else
1174 # This must be in double quotes, not single quotes, because CPP may get
1175 # substituted into the Makefile and "${CC-cc}" will confuse make.
1176 CPP="${CC-cc} -E"
1177 # On the NeXT, cc -E runs the code through the compiler's parser,
1178 # not just through cpp.
1179 cat > conftest.$ac_ext <<EOF
1180#line 1181 "configure"
1181#include "confdefs.h"
1182#include <assert.h>
1183Syntax Error
1184EOF
1185ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1186{ (eval echo configure:1187: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1187ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1188if test -z "$ac_err"; then
1189 :
1190else
1191 echo "$ac_err" >&5
1192 echo "configure: failed program was:" >&5
1193 cat conftest.$ac_ext >&5
1194 rm -rf conftest*
1195 CPP="${CC-cc} -E -traditional-cpp"
1196 cat > conftest.$ac_ext <<EOF
1197#line 1198 "configure"
1198#include "confdefs.h"
1199#include <assert.h>
1200Syntax Error
1201EOF
1202ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1203{ (eval echo configure:1204: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1204ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1205if test -z "$ac_err"; then
1206 :
1207else
1208 echo "$ac_err" >&5
1209 echo "configure: failed program was:" >&5
1210 cat conftest.$ac_ext >&5
1211 rm -rf conftest*
1212 CPP="${CC-cc} -nologo -E"
1213 cat > conftest.$ac_ext <<EOF
1214#line 1215 "configure"
1215#include "confdefs.h"
1216#include <assert.h>
1217Syntax Error
1218EOF
1219ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1220{ (eval echo configure:1221: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1221ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1222if test -z "$ac_err"; then
1223 :
1224else
1225 echo "$ac_err" >&5
1226 echo "configure: failed program was:" >&5
1227 cat conftest.$ac_ext >&5
1228 rm -rf conftest*
1229 CPP=/lib/cpp
1230fi
1231rm -f conftest*
1232fi
1233rm -f conftest*
1234fi
1235rm -f conftest*
1236 ac_cv_prog_CPP="$CPP"
1237fi
1238 CPP="$ac_cv_prog_CPP"
1239else
1240 ac_cv_prog_CPP="$CPP"
1241fi
1242echo "$ac_t""$CPP" 1>&6
1243
1244echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
1245echo "configure:1246: checking for ANSI C header files" >&5
1246if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
1247 echo $ac_n "(cached) $ac_c" 1>&6
1248else
1249 cat > conftest.$ac_ext <<EOF
1250#line 1251 "configure"
1251#include "confdefs.h"
1252#include <stdlib.h>
1253#include <stdarg.h>
1254#include <string.h>
1255#include <float.h>
1256EOF
1257ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1258{ (eval echo configure:1259: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1259ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1260if test -z "$ac_err"; then
1261 rm -rf conftest*
1262 ac_cv_header_stdc=yes
1263else
1264 echo "$ac_err" >&5
1265 echo "configure: failed program was:" >&5
1266 cat conftest.$ac_ext >&5
1267 rm -rf conftest*
1268 ac_cv_header_stdc=no
1269fi
1270rm -f conftest*
1271
1272if test $ac_cv_header_stdc = yes; then
1273 # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
1274cat > conftest.$ac_ext <<EOF
1275#line 1276 "configure"
1276#include "confdefs.h"
1277#include <string.h>
1278EOF
1279if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1280 egrep "memchr" >/dev/null 2>&1; then
1281 :
1282else
1283 rm -rf conftest*
1284 ac_cv_header_stdc=no
1285fi
1286rm -f conftest*
1287
1288fi
1289
1290if test $ac_cv_header_stdc = yes; then
1291 # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1292cat > conftest.$ac_ext <<EOF
1293#line 1294 "configure"
1294#include "confdefs.h"
1295#include <stdlib.h>
1296EOF
1297if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1298 egrep "free" >/dev/null 2>&1; then
1299 :
1300else
1301 rm -rf conftest*
1302 ac_cv_header_stdc=no
1303fi
1304rm -f conftest*
1305
1306fi
1307
1308if test $ac_cv_header_stdc = yes; then
1309 # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1310if test "$cross_compiling" = yes; then
1311 :
1312else
1313 cat > conftest.$ac_ext <<EOF
1314#line 1315 "configure"
1315#include "confdefs.h"
1316#include <ctype.h>
1317#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1318#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1319#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1320int main () { int i; for (i = 0; i < 256; i++)
1321if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1322exit (0); }
1323
1324EOF
1325if { (eval echo configure:1326: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1326then
1327 :
1328else
1329 echo "configure: failed program was:" >&5
1330 cat conftest.$ac_ext >&5
1331 rm -fr conftest*
1332 ac_cv_header_stdc=no
1333fi
1334rm -fr conftest*
1335fi
1336
1337fi
1338fi
1339
1340echo "$ac_t""$ac_cv_header_stdc" 1>&6
1341if test $ac_cv_header_stdc = yes; then
1342 cat >> confdefs.h <<\EOF
1343#define STDC_HEADERS 1
1344EOF
1345
1346fi
1347
1348for ac_hdr in fcntl.h
1349do
1350ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1351echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1352echo "configure:1353: checking for $ac_hdr" >&5
1353if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1354 echo $ac_n "(cached) $ac_c" 1>&6
1355else
1356 cat > conftest.$ac_ext <<EOF
1357#line 1358 "configure"
1358#include "confdefs.h"
1359#include <$ac_hdr>
1360EOF
1361ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1362{ (eval echo configure:1363: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1363ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1364if test -z "$ac_err"; then
1365 rm -rf conftest*
1366 eval "ac_cv_header_$ac_safe=yes"
1367else
1368 echo "$ac_err" >&5
1369 echo "configure: failed program was:" >&5
1370 cat conftest.$ac_ext >&5
1371 rm -rf conftest*
1372 eval "ac_cv_header_$ac_safe=no"
1373fi
1374rm -f conftest*
1375fi
1376if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1377 echo "$ac_t""yes" 1>&6
1378 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1379 cat >> confdefs.h <<EOF
1380#define $ac_tr_hdr 1
1381EOF
1382
1383else
1384 echo "$ac_t""no" 1>&6
1385fi
1386done
1387
1388
1389echo $ac_n "checking for working const""... $ac_c" 1>&6
1390echo "configure:1391: checking for working const" >&5
1391if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
1392 echo $ac_n "(cached) $ac_c" 1>&6
1393else
1394 cat > conftest.$ac_ext <<EOF
1395#line 1396 "configure"
1396#include "confdefs.h"
1397
1398int main() {
1399
1400/* Ultrix mips cc rejects this. */
1401typedef int charset[2]; const charset x;
1402/* SunOS 4.1.1 cc rejects this. */
1403char const *const *ccp;
1404char **p;
1405/* NEC SVR4.0.2 mips cc rejects this. */
1406struct point {int x, y;};
1407static struct point const zero = {0,0};
1408/* AIX XL C 1.02.0.0 rejects this.
1409 It does not let you subtract one const X* pointer from another in an arm
1410 of an if-expression whose if-part is not a constant expression */
1411const char *g = "string";
1412ccp = &g + (g ? g-g : 0);
1413/* HPUX 7.0 cc rejects these. */
1414++ccp;
1415p = (char**) ccp;
1416ccp = (char const *const *) p;
1417{ /* SCO 3.2v4 cc rejects this. */
1418 char *t;
1419 char const *s = 0 ? (char *) 0 : (char const *) 0;
1420
1421 *t++ = 0;
1422}
1423{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this. */
1424 int x[] = {25, 17};
1425 const int *foo = &x[0];
1426 ++foo;
1427}
1428{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1429 typedef const int *iptr;
1430 iptr p = 0;
1431 ++p;
1432}
1433{ /* AIX XL C 1.02.0.0 rejects this saying
1434 "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1435 struct s { int j; const int *ap[3]; };
1436 struct s *b; b->j = 5;
1437}
1438{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1439 const int foo = 10;
1440}
1441
1442; return 0; }
1443EOF
1444if { (eval echo configure:1445: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1445 rm -rf conftest*
1446 ac_cv_c_const=yes
1447else
1448 echo "configure: failed program was:" >&5
1449 cat conftest.$ac_ext >&5
1450 rm -rf conftest*
1451 ac_cv_c_const=no
1452fi
1453rm -f conftest*
1454fi
1455
1456echo "$ac_t""$ac_cv_c_const" 1>&6
1457if test $ac_cv_c_const = no; then
1458 cat >> confdefs.h <<\EOF
1459#define const
1460EOF
1461
1462fi
1463
1464echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
1465echo "configure:1466: checking whether time.h and sys/time.h may both be included" >&5
1466if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
1467 echo $ac_n "(cached) $ac_c" 1>&6
1468else
1469 cat > conftest.$ac_ext <<EOF
1470#line 1471 "configure"
1471#include "confdefs.h"
1472#include <sys/types.h>
1473#include <sys/time.h>
1474#include <time.h>
1475int main() {
1476struct tm *tp;
1477; return 0; }
1478EOF
1479if { (eval echo configure:1480: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1480 rm -rf conftest*
1481 ac_cv_header_time=yes
1482else
1483 echo "configure: failed program was:" >&5
1484 cat conftest.$ac_ext >&5
1485 rm -rf conftest*
1486 ac_cv_header_time=no
1487fi
1488rm -f conftest*
1489fi
1490
1491echo "$ac_t""$ac_cv_header_time" 1>&6
1492if test $ac_cv_header_time = yes; then
1493 cat >> confdefs.h <<\EOF
1494#define TIME_WITH_SYS_TIME 1
1495EOF
1496
1497fi
1498
1499
1500
1501ac_ext=C
1502# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
1503ac_cpp='$CXXCPP $CPPFLAGS'
1504ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
1505ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
1506cross_compiling=$ac_cv_prog_cxx_cross
1507
1508success=no
1509echo $ac_n "checking "whether STL library has known faults"""... $ac_c" 1>&6
1510echo "configure:1511: checking "whether STL library has known faults"" >&5
1511
1512cat > conftest.$ac_ext <<EOF
1513#line 1514 "configure"
1514#include "confdefs.h"
1515#include <vector>
1516
1517int main() {
1518
1519; return 0; }
1520EOF
1521if { (eval echo configure:1522: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1522 rm -rf conftest*
1523 success=yes
1524else
1525 echo "configure: failed program was:" >&5
1526 cat conftest.$ac_ext >&5
1527fi
1528rm -f conftest*
1529
1530if test $success = "no"; then
1531cat > conftest.$ac_ext <<EOF
1532#line 1533 "configure"
1533#include "confdefs.h"
1534#include <vector.h>
1535
1536int main() {
1537
1538; return 0; }
1539EOF
1540if { (eval echo configure:1541: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1541 rm -rf conftest*
1542 success="yes"
1543else
1544 echo "configure: failed program was:" >&5
1545 cat conftest.$ac_ext >&5
1546fi
1547rm -f conftest*
1548fi
1549
1550if test $success = "no"; then
1551cat > conftest.$ac_ext <<EOF
1552#line 1553 "configure"
1553#include "confdefs.h"
1554#include <ospace\\std\\vector>
1555
1556int main() {
1557
1558; return 0; }
1559EOF
1560if { (eval echo configure:1561: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1561 rm -rf conftest*
1562 success="yes"
1563else
1564 echo "configure: failed program was:" >&5
1565 cat conftest.$ac_ext >&5
1566fi
1567rm -f conftest*
1568fi
1569
1570if test $success = yes; then
1571echo "$ac_t"""no"" 1>&6
1572else
1573echo "$ac_t"""yes"" 1>&6
1574{ echo "configure: error: "STL Broken - new not found in vector header file"" 1>&2; exit 1; }
1575fi
1576
1577gsdlos=`uname | tr A-Z a-z`
1578
1579
1580echo $ac_n "checking for vprintf""... $ac_c" 1>&6
1581echo "configure:1582: checking for vprintf" >&5
1582if eval "test \"`echo '$''{'ac_cv_func_vprintf'+set}'`\" = set"; then
1583 echo $ac_n "(cached) $ac_c" 1>&6
1584else
1585 cat > conftest.$ac_ext <<EOF
1586#line 1587 "configure"
1587#include "confdefs.h"
1588/* System header to define __stub macros and hopefully few prototypes,
1589 which can conflict with char vprintf(); below. */
1590#include <assert.h>
1591/* Override any gcc2 internal prototype to avoid an error. */
1592#ifdef __cplusplus
1593extern "C"
1594#endif
1595/* We use char because int might match the return type of a gcc2
1596 builtin and then its argument prototype would still apply. */
1597char vprintf();
1598
1599int main() {
1600
1601/* The GNU C library defines this for functions which it implements
1602 to always fail with ENOSYS. Some functions are actually named
1603 something starting with __ and the normal name is an alias. */
1604#if defined (__stub_vprintf) || defined (__stub___vprintf)
1605choke me
1606#else
1607vprintf();
1608#endif
1609
1610; return 0; }
1611EOF
1612if { (eval echo configure:1613: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1613 rm -rf conftest*
1614 eval "ac_cv_func_vprintf=yes"
1615else
1616 echo "configure: failed program was:" >&5
1617 cat conftest.$ac_ext >&5
1618 rm -rf conftest*
1619 eval "ac_cv_func_vprintf=no"
1620fi
1621rm -f conftest*
1622fi
1623
1624if eval "test \"`echo '$ac_cv_func_'vprintf`\" = yes"; then
1625 echo "$ac_t""yes" 1>&6
1626 cat >> confdefs.h <<\EOF
1627#define HAVE_VPRINTF 1
1628EOF
1629
1630else
1631 echo "$ac_t""no" 1>&6
1632fi
1633
1634if test "$ac_cv_func_vprintf" != yes; then
1635echo $ac_n "checking for _doprnt""... $ac_c" 1>&6
1636echo "configure:1637: checking for _doprnt" >&5
1637if eval "test \"`echo '$''{'ac_cv_func__doprnt'+set}'`\" = set"; then
1638 echo $ac_n "(cached) $ac_c" 1>&6
1639else
1640 cat > conftest.$ac_ext <<EOF
1641#line 1642 "configure"
1642#include "confdefs.h"
1643/* System header to define __stub macros and hopefully few prototypes,
1644 which can conflict with char _doprnt(); below. */
1645#include <assert.h>
1646/* Override any gcc2 internal prototype to avoid an error. */
1647#ifdef __cplusplus
1648extern "C"
1649#endif
1650/* We use char because int might match the return type of a gcc2
1651 builtin and then its argument prototype would still apply. */
1652char _doprnt();
1653
1654int main() {
1655
1656/* The GNU C library defines this for functions which it implements
1657 to always fail with ENOSYS. Some functions are actually named
1658 something starting with __ and the normal name is an alias. */
1659#if defined (__stub__doprnt) || defined (__stub____doprnt)
1660choke me
1661#else
1662_doprnt();
1663#endif
1664
1665; return 0; }
1666EOF
1667if { (eval echo configure:1668: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1668 rm -rf conftest*
1669 eval "ac_cv_func__doprnt=yes"
1670else
1671 echo "configure: failed program was:" >&5
1672 cat conftest.$ac_ext >&5
1673 rm -rf conftest*
1674 eval "ac_cv_func__doprnt=no"
1675fi
1676rm -f conftest*
1677fi
1678
1679if eval "test \"`echo '$ac_cv_func_'_doprnt`\" = yes"; then
1680 echo "$ac_t""yes" 1>&6
1681 cat >> confdefs.h <<\EOF
1682#define HAVE_DOPRNT 1
1683EOF
1684
1685else
1686 echo "$ac_t""no" 1>&6
1687fi
1688
1689fi
1690
1691
1692trap '' 1 2 15
1693cat > confcache <<\EOF
1694# This file is a shell script that caches the results of configure
1695# tests run on this system so they can be shared between configure
1696# scripts and configure runs. It is not useful on other systems.
1697# If it contains results you don't want to keep, you may remove or edit it.
1698#
1699# By default, configure uses ./config.cache as the cache file,
1700# creating it if it does not exist already. You can give configure
1701# the --cache-file=FILE option to use a different cache file; that is
1702# what configure does when it calls configure scripts in
1703# subdirectories, so they share the cache.
1704# Giving --cache-file=/dev/null disables caching, for debugging configure.
1705# config.status only pays attention to the cache file if you give it the
1706# --recheck option to rerun configure.
1707#
1708EOF
1709# The following way of writing the cache mishandles newlines in values,
1710# but we know of no workaround that is simple, portable, and efficient.
1711# So, don't put newlines in cache variables' values.
1712# Ultrix sh set writes to stderr and can't be redirected directly,
1713# and sets the high bit in the cache file unless we assign to the vars.
1714(set) 2>&1 |
1715 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1716 *ac_space=\ *)
1717 # `set' does not quote correctly, so add quotes (double-quote substitution
1718 # turns \\\\ into \\, and sed turns \\ into \).
1719 sed -n \
1720 -e "s/'/'\\\\''/g" \
1721 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1722 ;;
1723 *)
1724 # `set' quotes correctly as required by POSIX, so do not add quotes.
1725 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1726 ;;
1727 esac >> confcache
1728if cmp -s $cache_file confcache; then
1729 :
1730else
1731 if test -w $cache_file; then
1732 echo "updating cache $cache_file"
1733 cat confcache > $cache_file
1734 else
1735 echo "not updating unwritable cache $cache_file"
1736 fi
1737fi
1738rm -f confcache
1739
1740trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1741
1742test "x$prefix" = xNONE && prefix=$ac_default_prefix
1743# Let make expand exec_prefix.
1744test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1745
1746# Any assignment to VPATH causes Sun make to only execute
1747# the first set of double-colon rules, so remove it if not needed.
1748# If there is a colon in the path, we need to keep it.
1749if test "x$srcdir" = x.; then
1750 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1751fi
1752
1753trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1754
1755# Transform confdefs.h into DEFS.
1756# Protect against shell expansion while executing Makefile rules.
1757# Protect against Makefile macro expansion.
1758cat > conftest.defs <<\EOF
1759s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1760s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
1761s%\[%\\&%g
1762s%\]%\\&%g
1763s%\$%$$%g
1764EOF
1765DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1766rm -f conftest.defs
1767
1768
1769# Without the "./", some shells look in PATH for config.status.
1770: ${CONFIG_STATUS=./config.status}
1771
1772echo creating $CONFIG_STATUS
1773rm -f $CONFIG_STATUS
1774cat > $CONFIG_STATUS <<EOF
1775#! /bin/sh
1776# Generated automatically by configure.
1777# Run this file to recreate the current configuration.
1778# This directory was configured as follows,
1779# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1780#
1781# $0 $ac_configure_args
1782#
1783# Compiler output produced by configure, useful for debugging
1784# configure, is in ./config.log if it exists.
1785
1786ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1787for ac_option
1788do
1789 case "\$ac_option" in
1790 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1791 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1792 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1793 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1794 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1795 exit 0 ;;
1796 -help | --help | --hel | --he | --h)
1797 echo "\$ac_cs_usage"; exit 0 ;;
1798 *) echo "\$ac_cs_usage"; exit 1 ;;
1799 esac
1800done
1801
1802ac_given_srcdir=$srcdir
1803
1804trap 'rm -fr `echo "src/hashfile/Makefile src/colservr/Makefile src/recpt/Makefile src/txt2db/Makefile src/db2txt/Makefile lib/Makefile collect/cstr/src/recpt/Makefile collect/niupepa/src/recpt/Makefile Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1805EOF
1806cat >> $CONFIG_STATUS <<EOF
1807
1808# Protect against being on the right side of a sed subst in config.status.
1809sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1810 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1811$ac_vpsub
1812$extrasub
1813s%@SHELL@%$SHELL%g
1814s%@CFLAGS@%$CFLAGS%g
1815s%@CPPFLAGS@%$CPPFLAGS%g
1816s%@CXXFLAGS@%$CXXFLAGS%g
1817s%@FFLAGS@%$FFLAGS%g
1818s%@DEFS@%$DEFS%g
1819s%@LDFLAGS@%$LDFLAGS%g
1820s%@LIBS@%$LIBS%g
1821s%@exec_prefix@%$exec_prefix%g
1822s%@prefix@%$prefix%g
1823s%@program_transform_name@%$program_transform_name%g
1824s%@bindir@%$bindir%g
1825s%@sbindir@%$sbindir%g
1826s%@libexecdir@%$libexecdir%g
1827s%@datadir@%$datadir%g
1828s%@sysconfdir@%$sysconfdir%g
1829s%@sharedstatedir@%$sharedstatedir%g
1830s%@localstatedir@%$localstatedir%g
1831s%@libdir@%$libdir%g
1832s%@includedir@%$includedir%g
1833s%@oldincludedir@%$oldincludedir%g
1834s%@infodir@%$infodir%g
1835s%@mandir@%$mandir%g
1836s%@PACKAGE@%$PACKAGE%g
1837s%@VERSION@%$VERSION%g
1838s%@USE_FASTCGI@%$USE_FASTCGI%g
1839s%@CC@%$CC%g
1840s%@CXX@%$CXX%g
1841s%@LN_S@%$LN_S%g
1842s%@SET_MAKE@%$SET_MAKE%g
1843s%@RANLIB@%$RANLIB%g
1844s%@CPP@%$CPP%g
1845s%@gsdlos@%$gsdlos%g
1846
1847CEOF
1848EOF
1849
1850cat >> $CONFIG_STATUS <<\EOF
1851
1852# Split the substitutions into bite-sized pieces for seds with
1853# small command number limits, like on Digital OSF/1 and HP-UX.
1854ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1855ac_file=1 # Number of current file.
1856ac_beg=1 # First line for current file.
1857ac_end=$ac_max_sed_cmds # Line after last line for current file.
1858ac_more_lines=:
1859ac_sed_cmds=""
1860while $ac_more_lines; do
1861 if test $ac_beg -gt 1; then
1862 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1863 else
1864 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1865 fi
1866 if test ! -s conftest.s$ac_file; then
1867 ac_more_lines=false
1868 rm -f conftest.s$ac_file
1869 else
1870 if test -z "$ac_sed_cmds"; then
1871 ac_sed_cmds="sed -f conftest.s$ac_file"
1872 else
1873 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1874 fi
1875 ac_file=`expr $ac_file + 1`
1876 ac_beg=$ac_end
1877 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1878 fi
1879done
1880if test -z "$ac_sed_cmds"; then
1881 ac_sed_cmds=cat
1882fi
1883EOF
1884
1885cat >> $CONFIG_STATUS <<EOF
1886
1887CONFIG_FILES=\${CONFIG_FILES-"src/hashfile/Makefile src/colservr/Makefile src/recpt/Makefile src/txt2db/Makefile src/db2txt/Makefile lib/Makefile collect/cstr/src/recpt/Makefile collect/niupepa/src/recpt/Makefile Makefile"}
1888EOF
1889cat >> $CONFIG_STATUS <<\EOF
1890for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1891 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1892 case "$ac_file" in
1893 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1894 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1895 *) ac_file_in="${ac_file}.in" ;;
1896 esac
1897
1898 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1899
1900 # Remove last slash and all that follows it. Not all systems have dirname.
1901 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1902 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1903 # The file is in a subdirectory.
1904 test ! -d "$ac_dir" && mkdir "$ac_dir"
1905 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1906 # A "../" for each directory in $ac_dir_suffix.
1907 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1908 else
1909 ac_dir_suffix= ac_dots=
1910 fi
1911
1912 case "$ac_given_srcdir" in
1913 .) srcdir=.
1914 if test -z "$ac_dots"; then top_srcdir=.
1915 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1916 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1917 *) # Relative path.
1918 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1919 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1920 esac
1921
1922
1923 echo creating "$ac_file"
1924 rm -f "$ac_file"
1925 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1926 case "$ac_file" in
1927 *Makefile*) ac_comsub="1i\\
1928# $configure_input" ;;
1929 *) ac_comsub= ;;
1930 esac
1931
1932 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1933 sed -e "$ac_comsub
1934s%@configure_input@%$configure_input%g
1935s%@srcdir@%$srcdir%g
1936s%@top_srcdir@%$top_srcdir%g
1937" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1938fi; done
1939rm -f conftest.s*
1940
1941EOF
1942cat >> $CONFIG_STATUS <<EOF
1943
1944EOF
1945cat >> $CONFIG_STATUS <<\EOF
1946
1947exit 0
1948EOF
1949chmod +x $CONFIG_STATUS
1950rm -fr confdefs* $ac_clean_files
1951test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1952
1953
1954
1955
1956
Note: See TracBrowser for help on using the repository browser.